C3DTransformIOPluginHandlerImpl Class Reference
Input/output of files

The non-singleton plug-in handler for 3D transformations. More...

`#include <mia/3d/transformio.hh>`

Inheritance diagram for C3DTransformIOPluginHandlerImpl:
[legend]
Collaboration diagram for C3DTransformIOPluginHandlerImpl:
[legend]

## Protected Member Functions

| C3DTransformIOPluginHandlerImpl ()
Protected Member Functions inherited from TIOPluginHandler< C3DTransformationIO >
| TIOPluginHandler ()
Protected Member Functions inherited from TPluginHandler< C3DTransformationIO >
void | add_plugin_internal (PInterface plugin)
| TPluginHandler ()
| Initializes the plugin handler based on the build-in search path.
TPluginHandler< C3DTransformationIO >::Interface * | plugin (const char *plugin) const
void | initialise (const CPluginSearchpath &searchpath)

## Additional Inherited Members

Public Types inherited from TIOPluginHandler< C3DTransformationIO >
typedef TPluginHandler< C3DTransformationIO >::const_iterator | const_iterator
| an iterator over the available plug-ins
typedef std::multimap< std::string, std::string > | CSuffixmap
| The map that maps file name suffixes to IO plug-ins.
typedef C3DTransformationIO::Data | Data
| Data type handled by this plug-in.
typedef TDelayedParameter< PData > | DataKey
| The type of the key used for the CDatapool access.
typedef TPluginHandler< C3DTransformationIO >::Interface | Interface
| the IO interface provided by this handler
typedef std::shared_ptr< Data > | PData
| Shared pointer to the data hadnled by this plug-in.
Public Types inherited from TPluginHandler< C3DTransformationIO >
typedef CPluginMap::const_iterator | const_iterator
| the iterator to walk over the available plug-ins
typedef std::map< std::string, PInterface > | CPluginMap
| a map containing the names and the available plug-ins
typedef C3DTransformationIO | Interface
| typedef for the plug-in interface provided by the class
typedef std::shared_ptr< C3DTransformationIO > | PInterface
Public Member Functions inherited from TIOPluginHandler< C3DTransformationIO >
std::string | get_preferred_suffix (const std::string &type) const
const CSuffixmap & | get_supported_filetype_map () const
const std::set< std::string > | get_supported_suffix_set () const
| @ returns a saet containing the supported file type suffixes
const std::string | get_supported_suffixes () const
| @ returns a string containing the supported file type suffixes
PData | load (const std::string &fname) const
DataKey | load_to_pool (const std::string &fname) const
const Interface & | preferred_plugin (const std::string &fname) const
const Interface * | preferred_plugin_ptr (const std::string &fname) const
bool | save (const std::string &fname, const Data &data) const
Public Member Functions inherited from TPluginHandler< C3DTransformationIO >
bool | add_plugin (PInterface plugin)
const_iterator | begin () const
const_iterator | end () const
const std::string | get_plugin_names () const
const std::set< std::string > | get_set () const
size_t | size () const
virtual | ~TPluginHandler ()
Public Member Functions inherited from CPluginHandlerBase
void | add_dependend_handlers (HandlerHelpMap &handler_map) const
| CPluginHandlerBase (const char *data_descr, const char *type_descr)
| CPluginHandlerBase (const CPluginHandlerBase &other)=delete
const std::string & | get_descriptor () const
std::string | get_handler_type_string () const
void | get_string_help_description_xml (std::ostream &os, CXMLElement &root) const
void | get_xml_help (CXMLElement &root) const
CPluginHandlerBase & | operator= (const CPluginHandlerBase &other)=delete
void | print_help (std::ostream &os) const
void | print_short_help (std::ostream &os) const
bool | validate_parameter_string (const std::string &s) const
virtual | ~CPluginHandlerBase ()

## Detailed Description

The non-singleton plug-in handler for 3D transformations.

Definition at line 45 of file 3d/transformio.hh.

## Constructor & Destructor Documentation

## C3DTransformIOPluginHandlerImpl()

C3DTransformIOPluginHandlerImpl::C3DTransformIOPluginHandlerImpl | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- 3d/transformio.hh